package it.unisannio.ding.ids.wedroid.app.view;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;

import it.unisannio.ding.ids.wedroid.app.R;
import it.unisannio.ding.ids.wedroid.app.data.entity.WList;
import it.unisannio.ding.ids.wedroid.app.util.PreferenceReader;
import it.unisannio.ding.ids.wedroid.app.util.SharedPreferenceHelper;
import it.unisannio.ding.ids.wedroid.app.view.adapter.WListsAdapter;
import it.unisannio.ding.ids.wedroid.app.viewModel.WListsListViewModel;

public class WListsListActivity extends AppCompatActivity {

    private WListsListViewModel viewModel;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_wlists_view);

        PreferenceReader reader =new SharedPreferenceHelper(this);

        RecyclerView recyclerView = findViewById(R.id.recyclerviewWList);
        final WListsAdapter adapter = new WListsAdapter(this);
        recyclerView.setAdapter(adapter);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));
        //linearLayoutManager.setOrientation(LinearLayoutManager.VERTICAL);
        //recyclerView.setHasFixedSize(true);

        viewModel = new ViewModelProvider(this).get(WListsListViewModel.class);

        viewModel.getAllWLists().observe(this, new Observer<List<WList>>() {
            @Override
            public void onChanged(List<WList> wLists) {
                adapter.setWLists(wLists);
            }
        });
    }
}
