package it.unisannio.ding.ids.wedroid.app.view.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;

import it.unisannio.ding.ids.wedroid.app.R;
import it.unisannio.ding.ids.wedroid.app.data.entity.WList;

public class WListsAdapter extends RecyclerView.Adapter<WListsAdapter.WListViewHolder> {

    private final LayoutInflater mInflater;
    private List<WList> mWLists; // Cached copy of words
    public WListsAdapter(Context context) { mInflater = LayoutInflater.from(context); }

    class WListViewHolder extends RecyclerView.ViewHolder{
        private final TextView wListItemView;
        private  WListViewHolder(View itemView){
            super(itemView);
            wListItemView= itemView.findViewById(R.id.wListTitle);
        }
    }

    @NonNull
    @Override
    public WListViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View itemView = mInflater.inflate(R.layout.wlist_recyclerview_item, parent, false);
        return new WListViewHolder(itemView);
    }

    @Override
    public void onBindViewHolder(@NonNull WListViewHolder holder, int position) {
        if (mWLists != null) {
            WList current = mWLists.get(position);
            holder.wListItemView.setText(current.getTitle());
        } else {
            // Covers the case of data not being ready yet.
            holder.wListItemView.setText("No wList");
        }
    }

    @Override
    public int getItemCount() {
        if (mWLists != null)
            return mWLists.size();
        else return 0;
    }

    public void setWLists(List<WList> wList){
        mWLists = wList;
        notifyDataSetChanged();
    }

}

/** Vecchia versione
 private List<WList> wLists;
 private Context context;

 public WListsAdapter(Context context, List<WList> wLists){
 this.wLists = wLists;
 this.context = context;
 }

 public class WListViewHolder extends RecyclerView.ViewHolder {
 private TextView title;
 public WListViewHolder(View itemView) {
 super(itemView);
 title = (TextView) itemView.findViewById(R.id.zWListTitle);
 }
 }

 @NonNull
 @Override
 public WListViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
 View itemView = LayoutInflater.from(parent.getContext())
 .inflate(R.layout.z_wlist_recycle_item, parent, false);
 return new WListViewHolder(itemView);
 }

 @Override
 public void onBindViewHolder(@NonNull WListViewHolder holder, int position) {
 WList wList = wLists.get(position);
 holder.title.setText(wList.getTitle());

 }

 @Override
 public int getItemCount() {
 return 0;
 }
 **/
